Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWAObjectIndex Class Reference

`#include <IWAObjectIndex.h>`

## Classes
struct | ObjectRecord

## Public Member Functions
| IWAObjectIndex (const RVNGInputStreamPtr_t &fragments, const RVNGInputStreamPtr_t &package)
void | parse ()
void | queryObject (unsigned id, unsigned &type, boost::optional< IWAMessage > &msg) const
const RVNGInputStreamPtr_t | queryFile (unsigned id) const

## Private Member Functions
void | scanFragment (unsigned id)
void | scanFragment (unsigned id, const RVNGInputStreamPtr_t &stream)

## Private Attributes
const RVNGInputStreamPtr_t | m_fragments
const RVNGInputStreamPtr_t | m_package
std::map< unsigned, std::string > | m_unparsedFragments
std::map< unsigned, std::pair< unsigned, ObjectRecord > > | m_fragmentObjectMap
std::map< unsigned, std::pair< std::string, RVNGInputStreamPtr_t > > | m_fileMap

## Constructor & Destructor Documentation

## ◆ IWAObjectIndex()

libetonyek::IWAObjectIndex::IWAObjectIndex | ( | const RVNGInputStreamPtr_t & | fragments,
|  | const RVNGInputStreamPtr_t & | package
| ) |  |

## Member Function Documentation

## ◆ parse()

void libetonyek::IWAObjectIndex::parse | ( |  | ) |

Referenced by libetonyek::IWAParser::parseObjectIndex().

## ◆ queryFile()

const RVNGInputStreamPtr_t libetonyek::IWAObjectIndex::queryFile | ( | unsigned | id | ) | const

Referenced by libetonyek::IWAParser::queryFile().

## ◆ queryObject()

void libetonyek::IWAObjectIndex::queryObject | ( | unsigned | id,
|  | unsigned & | type,
|  | boost::optional< IWAMessage > & | msg
| ) |  | const

Referenced by libetonyek::IWAParser::queryObject().

## ◆ scanFragment() [1/2]

void libetonyek::IWAObjectIndex::scanFragment | ( | unsigned | id | ) |
| private

Referenced by parse(), and queryObject().

## ◆ scanFragment() [2/2]

void libetonyek::IWAObjectIndex::scanFragment | ( | unsigned | id,
|  | const RVNGInputStreamPtr_t & | stream
| ) |  |
| private

## Member Data Documentation

## ◆ m_fileMap

std::map<unsigned, std::pair<std::string, RVNGInputStreamPtr_t> > libetonyek::IWAObjectIndex::m_fileMap
| mutable private

Referenced by parse(), and queryFile().

## ◆ m_fragmentObjectMap

std::map<unsigned, std::pair<unsigned, ObjectRecord> > libetonyek::IWAObjectIndex::m_fragmentObjectMap
| mutable private

Referenced by parse(), queryObject(), and scanFragment().

## ◆ m_fragments

const RVNGInputStreamPtr_t libetonyek::IWAObjectIndex::m_fragments
| private

Referenced by scanFragment().

## ◆ m_package

const RVNGInputStreamPtr_t libetonyek::IWAObjectIndex::m_package
| private

Referenced by parse(), and queryFile().

## ◆ m_unparsedFragments

std::map<unsigned, std::string> libetonyek::IWAObjectIndex::m_unparsedFragments
| mutable private

Referenced by parse(), and scanFragment().

The documentation for this class was generated from the following files:

- IWAObjectIndex.h
- IWAObjectIndex.cpp